Subject: Re: [PATCH 1/5] Fix some typos, grammar or wording issues in the documentation

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Oct 2023 14:10:02 -0700

Štěpán Němec <[email-masked]> writes:

> Come to think of it, 'doc: fix some typos, grammar and wording issues'
> might have made sense to begin with; I don't suppose C header comments
> are off-limits to doc:.

Yup, they do count as part of developer documentation.

>>> diff --git a/contrib/README b/contrib/README
>>> @@ -24,14 +24,14 @@ lesser degree various foreign SCM interfaces, so you know the
>>>  I expect that things that start their life in the contrib/ area
>>> -to graduate out of contrib/ once they mature, either by becoming
>>> +graduate out of contrib/ once they mature, either by becoming
>>
>> You probably want to add a comma after "area".
>
> That would read awkward to me.  How about going the other way,
>
>   I expect things that start their life in the contrib/ area
>   to graduate out of contrib/ once they mature
>
> instead?

That reads well.  I do not recall whom "I" in this sentence refers
to, but if this were me talking about my wish, then yes, I expect
them to graduate once they mature, and the ">>>" quoted change to
drop "to" does not sound grammatical.

Thanks for working on improving the documentation, thanks for
reviewing, and thanks for working well together.